Bug 866364 - libvirtd crash when edit a net with some operation
libvirtd crash when edit a net with some operation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Michal Privoznik
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 04:00 EDT by zhenfeng wang
Modified: 2013-02-21 02:09 EST (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:09:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description zhenfeng wang 2012-10-15 04:00:37 EDT
Description of problem:
libvirtd crash when edit a net with some operation

Version-Release number of selected component (if applicable):
libvirt-0.10.2-2.el6.x86_64
qemu-kvm-0.12.1.2-2.316.el6.x86_64
kernel-2.6.32-312.el6.x86_64

How reproducible:
100%
1 # virsh net-list --all
Name                 State      Autostart     Persistent
--------------------------------------------------
default              inactive   yes           yes
 virsh net-edit default
<network>
  <name>default</name>
  <uuid>a9b504eb-0c98-4736-bbda-97b2cd9f9d0e</uuid>
  <forward mode='nat'/>
  <bridge name='virbr0' stp='on' delay='0' />
  <mac address='00:00:00:00:00:00'/>
  <ip address='192.168.122.1' netmask='255.255.255.0'>
    <dhcp>
      <range start='192.168.122.2' end='192.168.122.254' />
    </dhcp>
  </ip>
</network>
# virsh net-start default
error: Failed to start network default
error: Cannot set interface MAC on 'virbr0-nic': Cannot assign requested address

3 modified the mac to the correct one,then do some operation about the default net
#virsh net-edit default
<network>
  <name>default</name>
  <uuid>a9b504eb-0c98-4736-bbda-97b2cd9f9d0e</uuid>
  <forward mode='nat'/>
  <bridge name='virbr0' stp='on' delay='0' />
  <mac address='00:00:00:00:00:01'/>
  <ip address='192.168.122.1' netmask='255.255.255.0'>
    <dhcp>
      <range start='192.168.122.2' end='192.168.122.254' />
    </dhcp>
  </ip>
</network>
# virsh net-start default
Network default started

# virsh net-list
Name                 State      Autostart     Persistent
--------------------------------------------------
default              active     yes           yes

# virsh net-destroy default
Network default destroyed

# virsh net-edit default
error: failed to get network 'default'
error: End of file while reading data: Input/output error
error: Failed to reconnect to the hypervisor

 
Actual results:
the libvirtd crashed,while edit the net

Expected results:
The net should be edit successfully,and the libvirtd should keep running

Additional info
Comment 1 zhenfeng wang 2012-10-15 04:01:59 EDT
Since it works well in libvirt-0.10.1-1.el6.x86_64, so I mark this bug a regression bug.
Comment 4 Michal Privoznik 2012-10-18 10:46:01 EDT
Patch proposed upstream:

https://www.redhat.com/archives/libvir-list/2012-October/msg00990.html
Comment 8 yanbing du 2012-10-24 05:24:26 EDT
Verify this bug with libvirt-0.10.2-5.el6.x86_64 following steps in comment 0.
Comment 9 errata-xmlrpc 2013-02-21 02:09:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.